<?php
include("../header.php");

?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 14px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 12px;
}

th{
    background: green;
    color:white;
}
</style>
<script>

	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sistema")
		window.location.href="../menu/menu.php";
		
	}
</script>

<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
			
				<div class="panel-heading">
					<span class="h3 text-success"><i class="fa fa-tractor"></i> Produccion</span>
					
				</div>
				
				<div class="panel-body">
					 
						
						<input type="text" class="form-control" id="txt-buscar" placeholder="Buscar productor" onKeyUp="lista_productor(this.value)" >
						<div onClick="hide_lista_clientes()" class="panel panel-default" style="position:absolute;width:90%; padding:8px" id="lista_cliente">
						
						</div>
						
						<br>
						
											<div class="well1"  id="opciones1">
					    <div id="compra_seleccionada">
						</div>
						<div id="balance">
						 
						</div>
						
						<div id="balance_credito">
						 
						</div>
						
						<br>
						 <a href="javascript:void(0)" onClick="tipo_pago='varias'; pago();  $('#txt-pagar').css('background','white')">Realizar pagos a varias compras</a> |
							 <a href="javascript:void(0)" onClick="tipo_pago='seleccion'; pago(); $('#txt-pagar').css('background','yellow')">Realizar pago a la c. seleccionada</a> |
							 <a href="javascript:void(0)" onClick="historial_pagos()">Ver historial de pagos</a> |
							   <a href="javascript:void(0)" onClick="historial_pagos()" class="text-danger">Anular compra seleccionada</a>
					</div></div>
				</div>
							<div id="pagar">
							<div class="panel panel-default">	
								<div class="panel-heading">
										<span class="h3 text-success"><i class="fa fa-calendar"></i> Pago a productores</span>
							</div>
							<div class="panel-body">
							Efectivo: <input type="number" id="txt-efectivo-produccion" placeholder="0.00" style="width:100px">
							 
							 <br><br>
							 Cheque: <input type="number" id="txt-cheque-produccion" placeholder="0.00" style="width:100px">
							   # Cheque: <input type="text" id="txt-n-cheque-produccion" placeholder="#000" style="width:100px">
							  <select id="cuenta" name="cuenta" onchange="getCuenta(this.value)" style="height:25px">
		
                                <option value="" selected disabled>Sel. cuenta</option>
                                <?php 
								include("../php/config.php");
								$sql2 = mysql_query("select * from cuentas")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['numero_cuenta'] ?>">(<?php echo $r['numero_cuenta'] ?>)<?php echo $r['descripcion'] ?></option>
                                <?php } ?>
                            </select> 

							   <button class="text-success" onClick="abono_produccion()"><i class="fa fa-check fa-lg"></i> Abonar</button>
								</div>

							</div>

								<div class="panel panel-default">	
								<div class="panel-heading">
								 <span class="h5 text-success"><b>Pago de credito</b></span>
								 </div>
								 <div class="panel-body">
								 Efectivo: <input type="number" id="txt-efectivo-credito" placeholder="0.00" style="width:100px">
								<br><br>
								Cheque: <input  type="number" id="txt-cheque-credito" placeholder="0.00" style="width:100px">
							   
							   # Cheque: <input type="text" id="txt-n-cheque-credito" placeholder="#000" style="width:100px">
							    
							   
							<input type="hidden" id="ibalance" name="balance">
							<input type="hidden" id="nbalance" name="nbalance">   
							   
							   <button class="text-success" onClick="pagar_credio()"><i class="fa fa-check fa-lg"></i> Abono a credito</button>
							
								
							
						
						
					
			

				<br>	<br>
						<table>

							<td><b>Productor: </b></td>
							<td><span id="lb-proveedor" class="text-primary"></span></td><tr>
							<td></td>
							<td><span id="lb-datos-proveedor"></span></td>
						</table><br><br>
								
					
					
			
						<span class="h3 text-success"><i class="fa fa-calendar"></i> Producciones</span>
							<div id="lista_produccion" class="table-responsive">
							Sin datos para mostrar...
							</div>
						</div>
						</div>
						
						<hr>

				
	
		
		
	
			<div class="panel panel-default">
			
				<div class="panel-heading">
					<span class="h3 text-success"><i class="fa fa-calendar"></i> Creditos a productores</span>
					
				</div>
				
				<div class="panel-body">
					<div id="lista_credito" class="table-responsive">
						Sin datos para mostrar...
						
					</div>
					
				</div>
				
			</div>
			
		
		
		
		
	</div>		
</div>		

<?php
include("../footer.php");
?>
<script>

 $("#lista_cliente").hide();
  //$("#opciones1").hide();
  var nombre=""
  var tipo_pago=""
  function pago(){
	  $('#pagar').show();
	  $('#txt-pagar').val('');
	  $('#txt-cheque').val('');
	  $('#txt-n-cheque').val('');
	  $('#txt-pagar').focus()
  }
  
    function no_pago(){
	  $('#pagar').hide();
	  $('#txt-pagar').val('');
	  $('#txt-cheque').val('');
	  $('#txt-n-cheque').val('');
	  $('#txt-pagar').focus()
  }
  
  ////LISTA PRODUCTOR///
  function lista_productor(v) {
	 
    try {
      var sql = "select * from proveedores where nombre like '%" + v + "%' and tipo='Productor'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista_cliente").hide();
            return;
          }
		   $("#lista_cliente").show();
          var rs = JSON.parse(data);
          var tabla="";
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_proveedor
           
            tabla += "<a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'>" + rs.data[i].nombre + "</a><br>";
            


          }
          tabla += "</table>";
          $("#lista_cliente").html(tabla+"<br>");
          $("td").addClass("font-weight-light");

        })
    } catch (e) {
      alert(e.message)
    }
	if(v==""){$("#lista_cliente").hide();}
  }
  
  
  function hide_lista_clientes(){
	  $("#lista_cliente").hide();
  }
  
  function get_lista(id) {
    var sql = "select * from proveedores where id_proveedor='" + id + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
		  nombre = rs.data[i].nombre;	
          $("#lb-proveedor").html(rs.data[i].nombre);
		   $("#lb-datos-proveedor").html(rs.data[i].telefono+"<br>"+rs.data[i].direccion);
		  $("#lista_cliente").hide();
		  mostrar_produccion()
		  mostrar_credito()
		  $("#opciones1").show()
		  $('#pagar').show(); $('#txt-pagar').val('')


        }
        

      })
  }
  ////MOSTRAR PRODUCCION///
  function mostrar_produccion() {
	  ibalance = 0
	
    var sql = "select * from compra_factoria where productor='" + nombre + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
		if (data == "null") {
            $("#lista_produccion").html("Sin datos para mostrar");
			ibalance = 0
			$("#balance").html("<hr><span class='h2'>Balance produccion: "+numeral(ibalance).format('0,0.00')+"</span>")

            return;
          }  
		 ibalance=0;	
        var rs = JSON.parse(data);
		var tabla = "<table border='0' class='table-sm table-striped' style='width:100%'><th>Sel.</th><th>Fecha</th><th>Num. factura</th><th>Variedad</th><th>Sacos</th><th>Tara</th><th>Fanega</th><th>Desc%</th><th>Desc. sacos</th><th>Neto</th><th>Precio</th><th>Produccion</th><th>Pagado</th><th>Balance</th>";
       for (var i in rs.data) {
		    ibalance+=parseFloat(rs.data[i].balance);
            id_ = rs.data[i].id
            tabla += "<tr>";
			tabla += "<td><input type='checkbox' id='[]' name='[]' value='"+id_+"'></td>";
            tabla += "<td><a href='javascript:void(0)' onclick='get_compra(" + id_ + ")'>" + rs.data[i].fecha + "</a></td>";
            tabla += "<td>" + rs.data[i].folio + "</td>";
			tabla += "<td>" + rs.data[i].variedad + "</td>";
			tabla += "<td>" + rs.data[i].sacos + "</td>";
			tabla += "<td>" + rs.data[i].tara + "</td>";
			tabla += "<td>" + rs.data[i].fanega + "</td>";
			tabla += "<td>" + rs.data[i].per_descuento + "</td>";
			tabla += "<td>" + rs.data[i].descuento_saco + "</td>";
			tabla += "<td>" + rs.data[i].neto + "</td>";
			tabla += "<td>" + rs.data[i].precio + "</td>";
			tabla += "<td>" + numeral(rs.data[i].produccion).format('0,0.00') + "</td>";
			tabla += "<td>" + numeral(rs.data[i].pagado).format('0,0.00') + "</td>";
			tabla += "<td>" + numeral(rs.data[i].balance).format('0,0.00') + "</td>";
			
            tabla += "</tr>";

          }
          tabla += "</table>";
		  $("#balance").html("<hr><span class='h2'>Balance Produccion: "+numeral(ibalance).format('0,0.00')+"</span>")
		
          $("#lista_produccion").html(tabla);
          $("td").addClass("font-weight-light");

        

      })
  }
  
  
  balance_credito=0;
  ////MOSTRAR CREDITO DE PRODUCTORES////
  function mostrar_credito() {
	balance_credito=0  
	//ibalance = 0
    var sql = "select * from ventas where cliente='" + nombre + "' and balance>0"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
		if (data == "null") {
            $("#lista_credito").html("Sin datos para mostrar");
			//ibalance = 0
			balance_credito=0
			$("#balance_credito").html("<br><span class='h4'>Deuda: "+numeral(balance_credito).format('0,0.00')+"</span>")
            //("#balance_credito").html("<br><span class='h4'>DEUDA: "+numeral(balance_credito).format('0,0.00')+"</span>"+"<br><span class='h4'>TOTAL A PAGAR: "+numeral(ibalance - balance_credito).format('0,0.00')+"</span>")

			return;
          } 
        var rs = JSON.parse(data);
		var tabla = "<table class='table table-sm table-striped'  style='width:100%'><th>Fecha</th><th>Num. factura</th><th>Concepto</th><th>Monto</th><th>Pagado</th><th>Balance</th>";
       for (var i in rs.data) {
            id_ = rs.data[i].id_venta
			balance_credito+=parseFloat(rs.data[i].balance)
            tabla += "<tr>";
            tabla += "<td><a href='javascript:void(0)' onclick='get_venta(" + id_ + ")'>" + rs.data[i].fecha + "</a></td>";
            tabla += "<td>" + rs.data[i].folio + "</td>";
			tabla += "<td>" + rs.data[i].concepto + "</td>";
			tabla += "<td>" + numeral(rs.data[i].total).format('0,0.00') + "</td>";
			tabla += "<td>" + numeral(rs.data[i].pagado).format('0,0.00') + "</td>";
			
			tabla += "<td>" + numeral(rs.data[i].balance).format('0,0.00') + "</td>";
			
            tabla += "</tr>";

          }
          tabla += "</table>";

          $("#lista_credito").html(tabla);
		 $("#balance_credito").html("<br><b><span class='h4 text-danger'>DEUDA: "+numeral(balance_credito).format('0,0.00')+"</b>.</span>"+"<br><span class='h4'>TOTAL A PAGAR: <span class='text-primary'><b>"+numeral(ibalance - balance_credito).format('0,0.00')+"</b></span></span>")

          $("td").addClass("font-weight-light");

        

      })
  }
  
  
  ///SELLECIONAR COMPRA//
    var id_compra=""
	var ibalance=0.00;
    function get_compra(id) {
    var sql = "select * from compra_factoria where id='" + id + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
	    
        for (var i in rs.data) {
		  id_compra = rs.data[i].id;	
		  
		  $("#opciones1").show();
		  $('#pagar').hide(); $('#txt-pagar').val('')
		

        }
                   $("#compra_seleccionada").html("Compra #: "+rs.data[i].folio+", Fecha: "+rs.data[i].fecha+", Balance: "+numeral(rs.data[i].balance).format('0,0.00'));
				   
		
      })
  }
  
 
 
 
 var secuencia="";
  function abono_produccion(){
    var sql = "select * from apertura_caja where caja='" + myCaja + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
        pagar_produccion();

      })
  }



function pagar_produccion(){
var cheque1 =  $("#txt-cheque-produccion").val();
var efectivo1=  $("#txt-efectivo-produccion").val();
var ncheque1=  $("#txt-n-cheque-produccion").val();
if(cheque1==""){cheque1=0;}
if(efectivo1==""){efectivo1=0;}

var monto = parseFloat(cheque1) + parseFloat(efectivo1);

if(parseFloat(ibalance)<parseFloat(monto)){
  alert("El balance es de: "+numeral(ibalance).format('0,0.00'));
  return;
}  

if(monto<=0 || monto==""){
  alert("Especifique efectivo o cheque!!!");
  return;
} 

if(cheque1>0 && ncheque1==""){
  alert("Especifique numero del cheque");
  return;
} 

if(!confirm("Seguro(a) que desea registrar este pago de "+ monto +"?")){return;}
var cliente = $("#lb-proveedor").html();
var datos="proveedor="+$("#lb-proveedor").html();
    datos+="&monto="+monto;
    datos+="&tipo="+"Produccion";
    datos+="&usuario="+myUser;
    datos+="&secuencia="+secuencia;
	datos+="&cheque="+cheque1;
	datos+="&efectivo="+efectivo1;
	datos+="&numero_cheque="+ncheque1;
	datos+="&balance="+ibalance - monto;
	 
    

$.get("pagar2.php?"+datos,function( data,tx ){
  if(tx=="success"){
   if(data=="1"){
	grabar_cheque()   
    imprimir_pago_produccion();
   }
  }else{
    alert(data);
  }
})

}

function imprimir_pago_produccion(){

    var sql = "select * from egresos where secuencia='" + secuencia + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("No hay pagos en este turno"); return;}
        var rs = JSON.parse(data);
        id = rs.data[0].id;
         window.open('../pos/recibo_egreso.php?id=' + id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
		 setTimeout(function(){
			 window.location.reload()
		 })
      })
  }
  
  
  



  function pagar_credio(){
    var sql = "select * from apertura_caja where caja='" + myCaja + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
        pagar_credio2();

      })
  }



  
function pagar_credio2(){
var cheque1 =  $("#txt-cheque-credito").val();
var efectivo1=  $("#txt-efectivo-credito").val();
var ncheque1=  $("#txt-n-cheque-credito").val();

if(cheque1==""){cheque1=0;}
if(efectivo1==""){efectivo1=0;}


var monto = parseFloat(cheque1) + parseFloat(efectivo1);
if(parseFloat(balance_credito)<parseFloat(monto)){
  alert("El balance es de: "+numeral(balance_credito).format('0,0.00'));
  return;
}  

if(monto<=0 || monto==""){
  alert("Especifique efectivo o cheque!!!");
  return;
} 

if(cheque1>0 && ncheque1==""){
  alert("Especifique numero del cheque");
  return;
} 

if(!confirm("Seguro(a) que desea registrar este pago de "+ numeral(monto).format('0,0.00') +"?")){return;}
var cliente = $("#lb-proveedor").html();
var datos="cliente="+cliente;
    datos+="&monto="+monto;
    datos+="&usuario="+myUser;
    datos+="&secuencia="+secuencia;
	datos+="&cheque="+cheque1;
	datos+="&efectivo="+efectivo1;
	datos+="&numero_cheque="+ncheque1;
	 
    

$.get("pagar_credito.php?"+datos,function( data,tx ){
  if(tx=="success"){
   if(data=="1"){
		grabar_cheque()
		imprimir_pago_credito()

   }
  }else{
    alert(data);
  }
})

}

function imprimir_pago_credito(){

    var sql = "select * from ingresos where secuencia='" + secuencia + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("No hay pagos en este turno"); return;}
        var rs = JSON.parse(data);
        id = rs.data[0].id;
		
		window.open('../pos/recibo_ingreso.php?id=' + id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
		 setTimeout(function(){
			 window.location.reload()
		 })

      })
  }
 
  
  function historial_pagos(){
	  var cliente = $("#lb-proveedor").html();
	  var datos="cliente="+cliente;
         window.open('historial_pagos.php?' + datos, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
  
  function getCuenta(id) {
    var sql = "select * from cuentas where numero_cuenta='" + id + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
	    
        for (var i in rs.data) {
		$("#ibalance").val(rs.data[i].balance);	
		$("#nbalance").val(rs.data[i].balance);
		
        }

      })
  }

  function grabar_cheque(){ 
     if($("#cuenta").val()!="" && $("#txt-cheque-produccion").val()!="" && $("#txt-n-cheque-produccion").val()!=""){

				 var paguese_a = $("#lb-proveedor").html()
				 var monto = $("#txt-cheque-produccion").val()
				 var ncheque = $("#txt-n-cheque-produccion").val()
				 var fecha = hoy_sql
				 var concepto="Pago produccion, "+paguese_a
				 var datos = "paguese_a="+paguese_a+"&monto="+monto+"&usuario="+myUser+"&fecha="+fecha+"&concepto="+concepto+"&cuenta="+$("#cuenta").val()+"&numero_cheque="+ncheque;
				 if(paguese_a=="" || monto=="" || fecha==""){alert("Informacion incompleta"); return;}
				 //$(".grabar").hide();

				 $.get("../contabilidad/grabar_cheque.php?"+datos,function(data,st){
				  if(st=="success"){if(data=="1"){
					 /// window.location.reload();
					  }else{
						  alert(data)
						  }
						  }
				   //$(".grabar").show();
				 })
	}
  }

</script>
